Subject: RE: bug#19170: 25.0.50; enhancement request: `compare-windows' use across frames

From: Drew Adams <[email-masked]>
Date: Fri, 28 Nov 2014 17:53:38 -0800 (PST)

> > Looks good to me.  Please apply it.  But "matching points"
> > should be "match positions" - "point" can be confusing.
> 
> Wouldn't a shorter phrase be valid too: "No more matches"?

Sure, for that case.

> > Possible enhancements, but not required to close this
> > enhancement request:
> >
> > 1. I do still think it would be good to provide more info
> >    in the message.
> 
> All extra info is easy to get using standard commands:
> 
> a) point values are easy to get with `C-x ='
> b) the previous point with `C-x C-x'
> c) the size of the skipped region with `M-='

Not for both windows/buffers, not without moving between them.

Think about `diff' output, for instance.  Sometimes it can
be helpful to see the point or line numbers.  Admittedly, it's
not essential.  Whatever info we show should be because we
want to show the two together, for comparison.

> The only info that is not obvious is the name of another
> window compared with the selected window.

I don't agree - see previous.  But I don't feel strongly about it.

> > 2. As I proposed in the past, I think it would be good to
> >    (as I do) bind comparison commands to the same prefix.
> >    I bind them to prefix `C-=' (just one possibility):
> >
> >    C-= b  is ediff-buffers
> >    C-= d  is diff
> >    C-= e  is ediff-files
> >    C-= f  is ediff-files
> >    C-= w  is compare-windows-repeat
> >
> > 3. `compare-windows-repeat' is just a repeatable version
> >    of `compare-windows', so you can repeat it using, for
> >    example, `C-= w w w w w'.  Very handy, especially
> >    given the improvements you've just made.
> 
> Binding `compare-windows' to a single key `C-=' makes it easy
> to repeat in a long sequence of its invocations :)

Sure, but why not put comparison commands on the same, mnemonic
prefix key?  If you forget a particular comparison command
binding, `C-= C-h' will tell you.

And as soon as you put `compare-windows' on a prefix key you
cannot use it repeatedly, the way it is currently defined.

Operations that one might want to use repeatedly (e.g. because
they perform an incremental operation) should, in general, be
repeatable from a prefix key too, IMO.

But this is not part of this particular enhancement request.